package org.jeecg.modules.ctop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.CTopOauthToken;

import java.util.Map;

/**
 * @Description: oauth授权码
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface ICTopOauthTokenService extends IService<CTopOauthToken> {

    CTopOauthToken getOauthTokenByAccountId(String accountId);

    Map<String, Object> getByteDanceAccessToken(String accountId);

    Map<String, Object> getKuaiShouRefreshToken(Long accountId, String refreshToken);
}
