package org.jeecg.modules.ctop.vo;

import java.io.Serializable;

/**
 * @author 宋英豪
 */
public class StatisticCampaignVo implements Serializable {
    //日期
    private String statisticDate;
    /**
     * 代理
     */
    private String proxy;
    /**
     * 投放系统
     */
    private String deliverySystem;
    /**
     * 渠道名称
     */
    private String channelName;
    /**
     * 广告组名称
     */
    private String content;
    /**
     * 投放素材
     */
    private String meterial;
    /**
     * 出价方式
     */
    private String priceType;
    /**
     * 定向条件
     */
    private String directCondition;
    /**
     * 基础定向
     */
    private String basicDirect;
    /**
     * 花费
     */
    private String cost;
    //封面曝光数
    private String coverViews;
    //封面点击数
    private String coverClick;
    //素材曝光数
    private String materialViews;
    //行为数
    private String actions;
    //点击率
    private String clickRate;
    //行为点击率
    private String actionClickRate;
    //ACTR*BCTR
    private String abctr;
    //点击成本
    private String clickPrice;
    //行为成本
    private String actionPrice;
    //注册用户
    private String registUserNum;
    //完件用户
    private String complateUserNum;
    //授信用户
    private String creditUserNum;
    //当日注册且完件数
    private String registCompleteNum;
    //当日注册且授信数
    private String registCreditNum;
    //注册成本
    private String registPrice;
    //完件成本
    private String completePrice;
    //授信成本
    private String creditPrice;
    //当日注册且完件成本
    private String registCompletePrice;
    //当日注册且授信成本
    private String registCreditPrice;
    //点击注册率
    private String clickRegistRate;
    //行为注册率
    private String actionRegistRate;
    //完件率
    private String completeRate;
    //授信率
    private String creditRate;
    //当日完件率
    private String registCompleteRate;
    //当日授信率
    private String registCreditRate;
    //当日完件百分比
    private String completeRateDay;
    //当日授信百分比
    private String creditRateDay;
    //当日授信注册百分比
    private String creditRegistRateDay;

    @Override
    public String toString() {
        return "StatisticCampaignVo{" +
                "statisticDate='" + statisticDate + '\'' +
                ", proxy='" + proxy + '\'' +
                ", deliverySystem='" + deliverySystem + '\'' +
                ", channelName='" + channelName + '\'' +
                ", content='" + content + '\'' +
                ", meterial='" + meterial + '\'' +
                ", priceType='" + priceType + '\'' +
                ", directCondition='" + directCondition + '\'' +
                ", basicDirect='" + basicDirect + '\'' +
                ", cost='" + cost + '\'' +
                ", coverViews='" + coverViews + '\'' +
                ", coverClick='" + coverClick + '\'' +
                ", materialViews='" + materialViews + '\'' +
                ", actions='" + actions + '\'' +
                ", clickRate='" + clickRate + '\'' +
                ", actionClickRate='" + actionClickRate + '\'' +
                ", abctr='" + abctr + '\'' +
                ", clickPrice='" + clickPrice + '\'' +
                ", actionPrice='" + actionPrice + '\'' +
                ", registUserNum='" + registUserNum + '\'' +
                ", complateUserNum='" + complateUserNum + '\'' +
                ", creditUserNum='" + creditUserNum + '\'' +
                ", registCompleteNum='" + registCompleteNum + '\'' +
                ", registCreditNum='" + registCreditNum + '\'' +
                ", registPrice='" + registPrice + '\'' +
                ", completePrice='" + completePrice + '\'' +
                ", creditPrice='" + creditPrice + '\'' +
                ", registCompletePrice='" + registCompletePrice + '\'' +
                ", registCreditPrice='" + registCreditPrice + '\'' +
                ", clickRegistRate='" + clickRegistRate + '\'' +
                ", actionRegistRate='" + actionRegistRate + '\'' +
                ", completeRate='" + completeRate + '\'' +
                ", creditRate='" + creditRate + '\'' +
                ", registCompleteRate='" + registCompleteRate + '\'' +
                ", registCreditRate='" + registCreditRate + '\'' +
                ", completeRateDay='" + completeRateDay + '\'' +
                ", creditRateDay='" + creditRateDay + '\'' +
                ", creditRegistRateDay='" + creditRegistRateDay + '\'' +
                '}';
    }

    public String getStatisticDate() {
        return statisticDate;
    }

    public void setStatisticDate(String statisticDate) {
        this.statisticDate = statisticDate;
    }

    public String getProxy() {
        return proxy;
    }

    public void setProxy(String proxy) {
        this.proxy = proxy;
    }

    public String getDeliverySystem() {
        return deliverySystem;
    }

    public void setDeliverySystem(String deliverySystem) {
        this.deliverySystem = deliverySystem;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMeterial() {
        return meterial;
    }

    public void setMeterial(String meterial) {
        this.meterial = meterial;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getDirectCondition() {
        return directCondition;
    }

    public void setDirectCondition(String directCondition) {
        this.directCondition = directCondition;
    }

    public String getBasicDirect() {
        return basicDirect;
    }

    public void setBasicDirect(String basicDirect) {
        this.basicDirect = basicDirect;
    }

    public String getCost() {
        return cost;
    }

    public void setCost(String cost) {
        this.cost = cost;
    }

    public String getCoverViews() {
        return coverViews;
    }

    public void setCoverViews(String coverViews) {
        this.coverViews = coverViews;
    }

    public String getCoverClick() {
        return coverClick;
    }

    public void setCoverClick(String coverClick) {
        this.coverClick = coverClick;
    }

    public String getMaterialViews() {
        return materialViews;
    }

    public void setMaterialViews(String materialViews) {
        this.materialViews = materialViews;
    }

    public String getActions() {
        return actions;
    }

    public void setActions(String actions) {
        this.actions = actions;
    }

    public String getClickRate() {
        return clickRate;
    }

    public void setClickRate(String clickRate) {
        this.clickRate = clickRate;
    }

    public String getActionClickRate() {
        return actionClickRate;
    }

    public void setActionClickRate(String actionClickRate) {
        this.actionClickRate = actionClickRate;
    }

    public String getAbctr() {
        return abctr;
    }

    public void setAbctr(String abctr) {
        this.abctr = abctr;
    }

    public String getClickPrice() {
        return clickPrice;
    }

    public void setClickPrice(String clickPrice) {
        this.clickPrice = clickPrice;
    }

    public String getActionPrice() {
        return actionPrice;
    }

    public void setActionPrice(String actionPrice) {
        this.actionPrice = actionPrice;
    }

    public String getRegistUserNum() {
        return registUserNum;
    }

    public void setRegistUserNum(String registUserNum) {
        this.registUserNum = registUserNum;
    }

    public String getComplateUserNum() {
        return complateUserNum;
    }

    public void setComplateUserNum(String complateUserNum) {
        this.complateUserNum = complateUserNum;
    }

    public String getCreditUserNum() {
        return creditUserNum;
    }

    public void setCreditUserNum(String creditUserNum) {
        this.creditUserNum = creditUserNum;
    }

    public String getRegistCompleteNum() {
        return registCompleteNum;
    }

    public void setRegistCompleteNum(String registCompleteNum) {
        this.registCompleteNum = registCompleteNum;
    }

    public String getRegistCreditNum() {
        return registCreditNum;
    }

    public void setRegistCreditNum(String registCreditNum) {
        this.registCreditNum = registCreditNum;
    }

    public String getRegistPrice() {
        return registPrice;
    }

    public void setRegistPrice(String registPrice) {
        this.registPrice = registPrice;
    }

    public String getCompletePrice() {
        return completePrice;
    }

    public void setCompletePrice(String completePrice) {
        this.completePrice = completePrice;
    }

    public String getCreditPrice() {
        return creditPrice;
    }

    public void setCreditPrice(String creditPrice) {
        this.creditPrice = creditPrice;
    }

    public String getRegistCompletePrice() {
        return registCompletePrice;
    }

    public void setRegistCompletePrice(String registCompletePrice) {
        this.registCompletePrice = registCompletePrice;
    }

    public String getRegistCreditPrice() {
        return registCreditPrice;
    }

    public void setRegistCreditPrice(String registCreditPrice) {
        this.registCreditPrice = registCreditPrice;
    }

    public String getClickRegistRate() {
        return clickRegistRate;
    }

    public void setClickRegistRate(String clickRegistRate) {
        this.clickRegistRate = clickRegistRate;
    }

    public String getActionRegistRate() {
        return actionRegistRate;
    }

    public void setActionRegistRate(String actionRegistRate) {
        this.actionRegistRate = actionRegistRate;
    }

    public String getCompleteRate() {
        return completeRate;
    }

    public void setCompleteRate(String completeRate) {
        this.completeRate = completeRate;
    }

    public String getCreditRate() {
        return creditRate;
    }

    public void setCreditRate(String creditRate) {
        this.creditRate = creditRate;
    }

    public String getRegistCompleteRate() {
        return registCompleteRate;
    }

    public void setRegistCompleteRate(String registCompleteRate) {
        this.registCompleteRate = registCompleteRate;
    }

    public String getRegistCreditRate() {
        return registCreditRate;
    }

    public void setRegistCreditRate(String registCreditRate) {
        this.registCreditRate = registCreditRate;
    }

    public String getCompleteRateDay() {
        return completeRateDay;
    }

    public void setCompleteRateDay(String completeRateDay) {
        this.completeRateDay = completeRateDay;
    }

    public String getCreditRateDay() {
        return creditRateDay;
    }

    public void setCreditRateDay(String creditRateDay) {
        this.creditRateDay = creditRateDay;
    }

    public String getCreditRegistRateDay() {
        return creditRegistRateDay;
    }

    public void setCreditRegistRateDay(String creditRegistRateDay) {
        this.creditRegistRateDay = creditRegistRateDay;
    }
}
