package org.jeecg.modules.ctop.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.entity.PlatformCampaignStatisticInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.ctop.vo.StatisticCampaignVo;

/**
 * @Description: 快手平台广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-08-23
 * @Version: V1.0
 */
public interface PlatformCampaignStatisticInfoMapper extends BaseMapper<PlatformCampaignStatisticInfo> {
    List<StatisticCampaignVo> getVoByParams(@Param("statisticDate") String statisticDate, @Param("accountId") Long accountId);

    StatisticCampaignVo getTotalStatisticVoByparams(@Param("statisticDate") String statisticDate, @Param("accountId") Long accountId);
}
