package org.jeecg.modules.kuaishou.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.kuaishou.entity.KuaiShouImage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 快手-本地图片保存
 * @Author: jeecg-boot
 * @Date: 2019-08-14
 * @Version: V1.0
 */
public interface IKuaiShouImageService extends IService<KuaiShouImage> {

    void insert(JSONObject requestJson);


    String localInsert(String url, JSONObject requestJson);

    JSONArray selectImageList(QueryWrapper<KuaiShouImage> queryWrapper);
}
